<?php
#-----------------------------------------------------------------------
# display source of script if requested so
#-----------------------------------------------------------------------
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
$pageName	= 'wsStartPageDemo.php';
if (!isset($SITE)){echo "<h3>invalid call to script $pageName</h3>";exit;}
$pageVersion	= '3.01 2014-10-07';
$SITE['wsModules'][$pageName] = 'version: ' . $pageVersion;
$pageFile = basename(__FILE__);			// check to see this is the real script
if ($pageFile <> $pageName) {$SITE['wsModules'][$pageFile]	= 'this file loaded instead of '.$pageName;}
echo '<!-- module '.$pageFile.' ==== '.$SITE['wsModules'][$pageFile]." -->".PHP_EOL;
#-----------------------------------------------------------------------
# 3.00 2014-09-12 release version
# 3.01 2014-10-07 toegevoegd knmi
# ----------------------------------------------------------------------
#  TO DO 
#-----------------------------------------------------------------------
if (trim($SITE['uomRain']) == 'in') 	{$decPrecip = 2;} else  {$decPrecip = 1;}
if (!function_exists ('wsNumber') ) {
	function wsNumber ($num, $dec=1,$point='',$sep='') {
		global $SITE;
		$amount	= str_replace(',','.',$num);
		if ($point == '') {
			if ($SITE['commaDecimal']) {$commaDecimal = ',';} else {$commaDecimal = '.';} 
		} else {
			$commaDecimal = $point;
		}
		if (is_numeric ($amount) ) {$amount = number_format ($amount,$dec,$commaDecimal,$sep);}
		return $amount;
	}
}
#-------------------------------------------------------------------------------------
$dashboard 	= array();

$dashboard[]	= 'knmi';	// 2014-10-07  ADDED  put on the correct place

# old fashioned dashboard
$dashboard[]	= 'ajax';		// ajax  dashboard

# "realtime displays"
$dashboard[]	= 'wdlive'; 		// weatherDisplay live
$dashboard[]	= 'wulive';		// wulive 
$dashboard[]	= 'meteoplug';		// meteoplug 

# steelseries - choose of of two, not both
$dashboard[]	= 'steel2rows';	        // steelseries 6 - 8 in 2 rows
#$dashboard[]	= 'steel1row';	        // steelseries 6 in 1 row

# rain / thunder radars
$dashboard[]	= 'rain';		// rain 2 or 3 radars
$dashboard[]	= 'radar';		// rain thunder cloud

$dashboard[]	= 'uv';			// uv 6 day forecast + explanation dropdown

$dashboard[]	= 'AQ'; 		// AQ=air quality canada

$dashboard[]	= 'fc'; 		// forecast as based on setting

$dashboard[]	= 'davis'; 		// davis forecast txt if available

$dashboard[]	= 'soil'; 		// soil  sensors if available

$dashboard[]	= 'yrno';		// yrno two day meteogram

$dashboard[]	= 'yo'; 		// yo=yowindow

$dashboard[]	= 'earth'; 		// fournilab's 24 earth day night picture

#
$cntDash 	= count($dashboard);
for ($iDash = 0; $iDash < $cntDash; $iDash++) {

if ($dashboard[$iDash] == 'knmi') {     // added 2014-10-07    LEAVE it here do not move around
	include ('inc/ws_knmi_fct.php');
	continue;
}


if ($dashboard[$iDash] == 'ajax') {
	include ('wsAjaxDashboard.php');
	continue;
}
if ($dashboard[$iDash] == 'wdlive') {
        $wdlSmall       = true;
	include ('wdl/incWdlive.php');
	continue;
}
if ($dashboard[$iDash] == 'wulive') {
        $wuSmall         = true;
	include ('inc/WU_Live.php');
	continue;
}
if ($dashboard[$iDash] == 'meteoplug') {
	include ('inc/meteoplugLiveDashboard.php');
	continue;
}
if ($dashboard[$iDash] == 'steel2rows') {
	include ('gauges/gaugeSmall.php');
	continue;
} elseif ($dashboard[$iDash] == 'steel1row'){
	include ('gauges/gaugeXsmall.php');
	continue;
}
if ($dashboard[$iDash] == 'rain') {
	include ('inc/rain3SourcesSmall.php');
	continue;
}
if ($dashboard[$iDash] == 'radar') {
	include ('wsDashRadar.php');
}
if ($dashboard[$iDash] == 'uv') {
        if (!isset ($uvhtml) ) {
                include_once $SITE['uvScript'];
        }
	echo $uvhtml;
}
if ($dashboard[$iDash] == 'AQ') {
	if (isset($SITE['caAQHI'])  && $SITE['caAQHI'] == true ) {
		echo '<!--  Air Qaulity  CA only  -->'.PHP_EOL;
		echo '<div class="blockDiv">'.PHP_EOL;
		include ('canada/aqhiCanada.php');
		echo '<h1 class="ajaxHead" style= "margin:0px;">'.$location.' - '.$arrLocation[0]['title'].'&nbsp;&nbsp;'.
		$ahqiLink .'</h1>'.PHP_EOL;
		echo $strOut;
		echo '</div>'.PHP_EOL;
		echo '<!--  end of  Air Qaulity  CA only  -->'.PHP_EOL;
	}
	continue;
}
if ($dashboard[$iDash] == 'fc') { 
	include ('wsDashForecast.php');
	continue;
}
if ($dashboard[$iDash] == 'davis') { 
	include ('wsDashDavis.php');
	continue;
}
if ($dashboard[$iDash] == 'soil') {
	include ('wsDashSoil.php');
continue;
}
#
if ($dashboard[$iDash] == 'yrno') {
	echo '<div class="blockDiv" style="background-color: grey;">'.PHP_EOL;	
	$strImg	= 'Yr.no 2 '.langtransstr('day graphical forecast for').' '.$SITE['organ'];
	echo'<h1 class="ajaxHead" style= "margin:0px;">'.$strImg.'</h1>'.PHP_EOL;
	include ('img/avansertYrno3.php');
	echo'	<a href="http://www.yr.no/place/'.$SITE['yrnoID'].'" target="_blank" title="Vooruitzichten scandinavische yr.no">';
	echo'	  <img src="'.$im.'" alt="'.$strImg.'" style="width: 100%; vertical-align: top;" />  </a>';
	echo'</div>'.PHP_EOL;
	continue;
}
#
if ($dashboard[$iDash] == 'yo') {
	echo '<div class="blockDiv" style="background-color: grey;">'.PHP_EOL;
	echo '<h3 class="blockHead">'.langtransstr('YoWindow 7 day graphical forecast').'</h3>'.PHP_EOL;
	include ('wsDashYowindow.php');
	echo'</div>'.PHP_EOL;
	continue;
}
if ($dashboard[$iDash] == 'earth') {
	include ('wsDashEarth.php');
	continue;
}

}
?>